MediaWiki:Gadget-Mainpage.css: Difference between revisions

Kuhlau (talk | contribs)
No edit summary
Kuhlau (talk | contribs)
No edit summary
 
(4 intermediate revisions by the same user not shown)
Line 49: Line 49:
.mainpage-content {
.mainpage-content {
padding: 0.5em 0.5em 1em 0.5em;
padding: 0.5em 0.5em 1em 0.5em;
}
.mainpage-image-container {
display: flex;
gap: 0.5em;
justify-content: center;
flex-wrap: wrap;
}
}


Line 125: Line 132:
#ActivityFeed .mw-tag-markers,
#ActivityFeed .mw-tag-markers,
#ActivityFeed .minoredit,
#ActivityFeed .minoredit,
#ActivityFeed .newpage,
#ActivityFeed ul.special .comment,
#ActivityFeed ul.special .comment,
#ActivityFeed .mw-diff-bytes {
#ActivityFeed .mw-diff-bytes {
Line 137: Line 145:
gap: 0.5em;
gap: 0.5em;
padding: 1px 2px;
padding: 1px 2px;
border-radius: 3px;
}
}


#ActivityFeed .mw-changeslist-line {
#ActivityFeed .mw-changeslist-line:nth-of-type(odd) .mw-changeslist-line-inner {
padding: 1px 2px;
border-radius: 3px;
}
#ActivityFeed .mw-changeslist-line:nth-of-type(odd) {
background: var(--theme-color-8);
background: var(--theme-color-8);
}
}
Line 159: Line 164:
word-break: break-word;
word-break: break-word;
hyphens: auto;
hyphens: auto;
margin-left: 2px;
}
#ActivityFeed .mw-changeslist .mw-userLink {
margin-right: 2px;
}
/* For Chrome users, recent changes is a table instead of a list. I have literally no idea why, but don't remove these just because you don't see a reason (like I did) */
#ActivityFeed .mw-changeslist div table {
border-bottom: none;
padding-top: 3px !important;
padding-bottom: 2px;
width: calc(100% - 10px);
}
#ActivityFeed .mw-changeslist div table:last-child {
border: none;
}
#ActivityFeed .mw-changeslist ul.mw-contributions-list li,
#ActivityFeed .mw-changeslist ul.special li {
padding: 0;
}
}


.skin-minerva #ActivityFeed .mw-changeslist-line {
.skin-minerva #ActivityFeed .mw-changeslist-line {
Line 171: Line 199:
content: none;
content: none;
}
}




/* End [[Template:Latest Edits]] Fix */
/* End [[Template:Latest Edits]] Fix */